ProcessingContextInformation (Groovy 4.0.15)

Package: org.apache.groovy.contracts.common.spi

## [Java] Class ProcessingContextInformation

- org.apache.groovy.contracts.common.spi.ProcessingContextInformation

-     public class ProcessingContextInformation
      extends Object

  Holds all context-specific information which is needed during the transformation phase of a single Contract and its related ClassNode.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ProcessingContextInformation(ClassNode classNode, SourceUnit sourceUnit, ReaderSource source)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addError(String msg, ASTNode expr)`
    `` | `public Contract` | `contract()`
    `` | `public Object` | `get(String key)`
    `` | `public boolean` | `isClassInvariantsEnabled()`
    `` | `public boolean` | `isConstructorAssertionsEnabled()`
    `` | `public boolean` | `isPostconditionsEnabled()`
    `` | `public boolean` | `isPreconditionsEnabled()`
    `` | `public void` | `put(String key, Object value)`
    `` | `public ReaderSource` | `readerSource()`
    `` | `public void` | `setConstructorAssertionsEnabled(boolean other)`
    `` | `public SourceUnit` | `sourceUnit()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ProcessingContextInformation(ClassNode classNode, SourceUnit sourceUnit, ReaderSource source)

  - ### Method Detail

    - #### public void addError(String msg, ASTNode expr)

    - #### public Contract contract()

    - #### public Object get(String key)

    - #### public boolean isClassInvariantsEnabled()

    - #### public boolean isConstructorAssertionsEnabled()

    - #### public boolean isPostconditionsEnabled()

    - #### public boolean isPreconditionsEnabled()

    - #### public void put(String key, Object value)

    - #### public ReaderSource readerSource()

    - #### public void setConstructorAssertionsEnabled(boolean other)

    - #### public SourceUnit sourceUnit()